Uploaded image for project: 'Nuxeo Drive '
  1. Nuxeo Drive
  2. NXDRIVE-2567

[Direct Transfer] Set invalid credentials when failed to list remote documents

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 4.2.0
    • Fix Version/s: None
    • Component/s: Direct Transfer

      Description

      Current Behavior

      When the listing remote document, and it the access is denied because of invalid credentials, then the user cannot update credentials. There will be only a warning in the logs:

      2021-03-12 12:02:16 71212 123145433178112 WARNING  nxdrive.gui.folders_model Error while retrieving documents on '/'
      Traceback (most recent call last):
        File "nuxeo/client.py", line 305, in request
        File "requests/models.py", line 943, in raise_for_status
      requests.exceptions.HTTPError: 401 Client Error:  for url: https://<HOST>/nuxeo/api/v1/repo/default/path//@children
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "nxdrive/gui/folders_model.py", line 252, in get_top_documents
        File "nuxeo/documents.py", line 279, in get_children
        File "nuxeo/endpoint.py", line 80, in get
        File "nuxeo/client.py", line 308, in request
      nuxeo.exceptions.Unauthorized: Unauthorized(401)
      

      Expected Behavior

      The whole account should be made aware of invalid credentials. It will then allow the user to update them via a link in the accounts tab.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:

                PagerDuty

                Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.